# Uses of Class
org.apache.zookeeper.txn.TxnHeader

Packages that use TxnHeader
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.persistence
org.apache.zookeeper.txn

## Uses of TxnHeader in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return TxnHeader
Modifier and Type
Method
Description
`TxnHeader`
Request.`getHdr()`
`TxnHeader`
TxnLogEntry.`getHeader()`
Methods in org.apache.zookeeper.server with parameters of type TxnHeader
Modifier and Type
Method
Description
`boolean`
DataTree.`compareDigest(TxnHeader header, Record txn, TxnDigest digest)`
Compares the digest of the tree with the digest present in transaction digest.
`boolean`
ZKDatabase.`compareDigest(TxnHeader header, Record txn, TxnDigest digest)`
`DataTree.ProcessTxnResult`
DataTree.`processTxn(TxnHeader header, Record txn)`
`DataTree.ProcessTxnResult`
DataTree.`processTxn(TxnHeader header, Record txn, boolean isSubTxn)`
`DataTree.ProcessTxnResult`
DataTree.`processTxn(TxnHeader header, Record txn, TxnDigest digest)`
`DataTree.ProcessTxnResult`
ZKDatabase.`processTxn(TxnHeader hdr, Record txn, TxnDigest digest)`
the process txn on the data and perform digest comparision.
`void`
Request.`setHdr(TxnHeader hdr)`
Constructors in org.apache.zookeeper.server with parameters of type TxnHeader
Modifier
Constructor
Description
``
`Request(long sessionId, int xid, int type, TxnHeader hdr, Record txn, long zxid)`
``
`Request(TxnHeader hdr, Record txn, TxnDigest digest)`
``
`TxnLogEntry(Record txn, TxnHeader header, TxnDigest digest)`

## Uses of TxnHeader in org.apache.zookeeper.server.persistence

Methods in org.apache.zookeeper.server.persistence that return TxnHeader
Modifier and Type
Method
Description
`TxnHeader`
FileTxnLog.FileTxnIterator.`getHeader()`
return the current header
`TxnHeader`
TxnLog.TxnIterator.`getHeader()`
return the transaction header.
Methods in org.apache.zookeeper.server.persistence with parameters of type TxnHeader
Modifier and Type
Method
Description
`static byte[]`
Util.`marshallTxnEntry(TxnHeader hdr, Record txn, TxnDigest digest)`
Serializes transaction header and transaction data into a byte buffer.
`void`
FileTxnSnapLog.PlayBackListener.`onTxnLoaded(TxnHeader hdr, Record rec, TxnDigest digest)`
`void`
FileTxnSnapLog.`processTransaction(TxnHeader hdr, DataTree dt, Map<Long,Integer> sessions, Record txn)`
process the transaction on the datatree

## Uses of TxnHeader in org.apache.zookeeper.txn

Methods in org.apache.zookeeper.txn with parameters of type TxnHeader
Modifier and Type
Method
Description
`void`
TxnHeader.`copyFrom(TxnHeader from)`